<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync:  Fichier source de src/preferences.py</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('preferences_8py_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">preferences.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="preferences_8py.html">Aller à la documentation de ce fichier.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacesrc_1_1preferences.html">    1</a></span>&#160;<span class="comment">#!/usr/bin/python</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">#       $Id: preferences.py 42 2011-01-15 22:38:04Z georgesk $</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno"><a class="line" href="namespacesrc_1_1preferences.html#aa717e0a605e73d902ed3eab36c67cb06">    4</a></span>&#160;licence={}</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;licence[<span class="stringliteral">&#39;en&#39;</span>]=<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="stringliteral">    file preferences.py</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="stringliteral">    this file is part of the project scolasync</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="stringliteral">    Copyright (C) 2010-2012 Georges Khaznadar &lt;georgesk@ofset.org&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="stringliteral">    This program is free software: you can redistribute it and/or modify</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="stringliteral">    it under the terms of the GNU General Public License as published by</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="stringliteral">    the Free Software Foundation, either version3 of the License, or</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="stringliteral">    (at your option) any later version.</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="stringliteral">    This program is distributed in the hope that it will be useful,</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="stringliteral">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="stringliteral">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral">    GNU General Public License for more details.</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="stringliteral">    You should have received a copy of the GNU General Public License</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="stringliteral">    along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtCore.html">PyQt5.QtCore</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">from</span> <a class="code" href="namespacePyQt5_1_1QtWidgets.html">PyQt5.QtWidgets</a> <span class="keyword">import</span> *</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classsrc_1_1preferences_1_1preferenceWindow.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html">preferenceWindow</a>(<a class="code" href="classQDialog.html">QDialog</a>):</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classsrc_1_1preferences_1_1preferenceWindow.html#a9de79a74e797b66e0b8bb5b9c9623ca0">   32</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#a9de79a74e797b66e0b8bb5b9c9623ca0">__init__</a>(self, parent=None):</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        QDialog.__init__(self, parent)</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        <span class="keyword">from</span> Ui_preferences <span class="keyword">import</span> Ui_Dialog</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">   35</a></span>&#160;        self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>=Ui_Dialog()</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>.setupUi(self)</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classsrc_1_1preferences_1_1preferenceWindow.html#a94ae27a9793076be2f4295cb3fff8769">   42</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#a94ae27a9793076be2f4295cb3fff8769">enableDelay</a>(self, state):</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>.refreshDelaySlider.setEnabled(bool(state))</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classsrc_1_1preferences_1_1preferenceWindow.html#aba0bac746ee2186d3adeb90d19d2bd6b">   49</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#aba0bac746ee2186d3adeb90d19d2bd6b">updateRefreshLabel</a>(self, val):</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        labelTxt=QApplication.translate(<span class="stringliteral">&quot;Dialog&quot;</span>, <span class="stringliteral">&quot;{t} secondes&quot;</span>, <span class="keywordtype">None</span>)</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        val=<span class="stringliteral">&quot;%2d&quot;</span> %val</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        labelTxt=labelTxt.format(t=val)</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>.refreshDelayLabel.setText(labelTxt)</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classsrc_1_1preferences_1_1preferenceWindow.html#adeb39c38ba1cb95325e4f3c16ada4bea">   58</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#adeb39c38ba1cb95325e4f3c16ada4bea">values</a>(self):</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        prefs={}</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        prefs[<span class="stringliteral">&quot;checkable&quot;</span>]      = <span class="keyword">True</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        prefs[<span class="stringliteral">&quot;mv&quot;</span>]             = bool(self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>.mvCheck.isChecked())</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        prefs[<span class="stringliteral">&quot;schoolFile&quot;</span>]     = self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>.lineEditSchoolFile.text()</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        prefs[<span class="stringliteral">&quot;workdir&quot;</span>]        = self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>.dirEdit.text()</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        prefs[<span class="stringliteral">&quot;manfile&quot;</span>]        = self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>.manFileEdit.text()</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keywordflow">return</span> prefs</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classsrc_1_1preferences_1_1preferenceWindow.html#a769c0b1ff152e03eb264e4f57b7c7f0d">   71</a></span>&#160;    <span class="keyword">def </span><a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#a769c0b1ff152e03eb264e4f57b7c7f0d">setValues</a>(self, prefs):</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keywordflow">if</span> prefs[<span class="stringliteral">&quot;mv&quot;</span>]:</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            state=Qt.Checked</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keywordflow">else</span>:</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            state=Qt.Unchecked</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>.mvCheck.setCheckState(state)</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>.lineEditSchoolFile.setText(prefs[<span class="stringliteral">&quot;schoolFile&quot;</span>])</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>.dirEdit.setText(prefs[<span class="stringliteral">&quot;workdir&quot;</span>])</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        self.<a class="code" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a>.manFileEdit.setText(prefs[<span class="stringliteral">&quot;manfile&quot;</span>])</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclasssrc_1_1preferences_1_1preferenceWindow_html_af7a2fbdcb8ebf5f8d25c41719c99c8b5"><div class="ttname"><a href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">src.preferences.preferenceWindow.ui</a></div><div class="ttdeci">ui</div><div class="ttdef"><b>Definition:</b> <a href="preferences_8py_source.html#l00035">preferences.py:35</a></div></div>
<div class="ttc" id="aclassQDialog_html"><div class="ttname"><a href="classQDialog.html">QDialog</a></div></div>
<div class="ttc" id="aclasssrc_1_1preferences_1_1preferenceWindow_html_aba0bac746ee2186d3adeb90d19d2bd6b"><div class="ttname"><a href="classsrc_1_1preferences_1_1preferenceWindow.html#aba0bac746ee2186d3adeb90d19d2bd6b">src.preferences.preferenceWindow.updateRefreshLabel</a></div><div class="ttdeci">def updateRefreshLabel(self, val)</div><div class="ttdoc">Met à jour l'affichage de la valeur du délai de rafraichissement.</div><div class="ttdef"><b>Definition:</b> <a href="preferences_8py_source.html#l00049">preferences.py:49</a></div></div>
<div class="ttc" id="aclasssrc_1_1preferences_1_1preferenceWindow_html"><div class="ttname"><a href="classsrc_1_1preferences_1_1preferenceWindow.html">src.preferences.preferenceWindow</a></div><div class="ttdef"><b>Definition:</b> <a href="preferences_8py_source.html#l00028">preferences.py:28</a></div></div>
<div class="ttc" id="aclasssrc_1_1preferences_1_1preferenceWindow_html_a94ae27a9793076be2f4295cb3fff8769"><div class="ttname"><a href="classsrc_1_1preferences_1_1preferenceWindow.html#a94ae27a9793076be2f4295cb3fff8769">src.preferences.preferenceWindow.enableDelay</a></div><div class="ttdeci">def enableDelay(self, state)</div><div class="ttdoc">active ou désactive le glisseur pour modifier le délai de rafraichissement</div><div class="ttdef"><b>Definition:</b> <a href="preferences_8py_source.html#l00042">preferences.py:42</a></div></div>
<div class="ttc" id="aclasssrc_1_1preferences_1_1preferenceWindow_html_adeb39c38ba1cb95325e4f3c16ada4bea"><div class="ttname"><a href="classsrc_1_1preferences_1_1preferenceWindow.html#adeb39c38ba1cb95325e4f3c16ada4bea">src.preferences.preferenceWindow.values</a></div><div class="ttdeci">def values(self)</div><div class="ttdef"><b>Definition:</b> <a href="preferences_8py_source.html#l00058">preferences.py:58</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtCore_html"><div class="ttname"><a href="namespacePyQt5_1_1QtCore.html">QtCore</a></div></div>
<div class="ttc" id="aclasssrc_1_1preferences_1_1preferenceWindow_html_a769c0b1ff152e03eb264e4f57b7c7f0d"><div class="ttname"><a href="classsrc_1_1preferences_1_1preferenceWindow.html#a769c0b1ff152e03eb264e4f57b7c7f0d">src.preferences.preferenceWindow.setValues</a></div><div class="ttdeci">def setValues(self, prefs)</div><div class="ttdoc">Met en place les préférences dans le dialogue.</div><div class="ttdef"><b>Definition:</b> <a href="preferences_8py_source.html#l00071">preferences.py:71</a></div></div>
<div class="ttc" id="aclasssrc_1_1preferences_1_1preferenceWindow_html_a9de79a74e797b66e0b8bb5b9c9623ca0"><div class="ttname"><a href="classsrc_1_1preferences_1_1preferenceWindow.html#a9de79a74e797b66e0b8bb5b9c9623ca0">src.preferences.preferenceWindow.__init__</a></div><div class="ttdeci">def __init__(self, parent=None)</div><div class="ttdoc">Le constructeur.</div><div class="ttdef"><b>Definition:</b> <a href="preferences_8py_source.html#l00032">preferences.py:32</a></div></div>
<div class="ttc" id="anamespacePyQt5_1_1QtWidgets_html"><div class="ttname"><a href="namespacePyQt5_1_1QtWidgets.html">QtWidgets</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="preferences_8py.html">preferences.py</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
